BulletinBoardResource
RESTful endpoint for managing a Template.
The following resources are applicable:
/controller/bulletin-board
Mount Point: /rest/controller/bulletin-board
GET
Retrieves all the of templates in this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| after | Supporting querying for bulletins after a particular bulletin id. | query | |
| sourceName | Source name filter. Supports a regular expression. | query | |
| message | Message filter. Supports a regular expression. | query | |
| sourceId | Source id filter. Supports a regular expression. | query | |
| groupId | Group id filter. Supports a regular expression. | query | |
| limit | The max number of bulletins to return. | query |
Response Body
| element: | bulletinBoardEntity |
| media types: | application/xml application/json |
A bulletinBoardEntity.